
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>小心！AngularJS结合RequireJS做文件合并压缩的那些坑_javascript技巧 / iVAN</title>

    <meta name="description" content="小心！AngularJS结合RequireJS做文件合并压缩的那些坑_javascript技巧 在项目使用了AngularJS框架,用RequireJS做异步模块加载(AMD),在做文件合并压缩时,遇到了一些坑,有些只是解决了,但不明白原因. 那些坑1. build.js里面的paths必须跟main.js里面的保持一致. 这个build.js就是r.js使用的配置文件,而main.js就是RequireJS的main文件.在合并压缩时候,build.js文件里面也需要写paths,而且还是跟main.js一样,我很奇怪为什么就不能识别main里面的require.config的paths">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">小心！AngularJS结合RequireJS做文件合并压缩的那些坑_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在项目使用了AngularJS框架，用RequireJS做异步模块加载（AMD），在做文件合并压缩时，遇到了一些坑，有些只是解决了，但不明白原因。</p>
<p><strong>那些坑</strong><br /><strong>1. build.js里面的paths必须跟main.js里面的保持一致。</strong></p>
<p>这个build.js就是r.js使用的配置文件，而main.js就是RequireJS的main文件。在合并压缩时候，build.js文件里面也需要写paths，而且还是跟main.js一样，我很奇怪为什么就不能识别main里面的require.config的paths，省得合并的时候还要将paths拷贝过来（我试过build.js里面没有paths，是不能合并的）。（-_-!!!）</p>
<p><strong>2. 某些依赖库需要写整个相对路径才能做合并。</strong></p>
<p>在项目里， 我使用一个叫layer的第三方库（库是以requireJS define写的），一开始只做开发时候，在paths配置了路径后，使用此库只需要用个简称（define依赖时候）。 但在做合并时候，竟然提示文件不存在（因为直接拿简称去拼文件地址了），无奈之下只能修改这个库的使用办法，全部使用到这个库的都写整个相对路径，这个时候开发和做合并才没有错。</p>
<p><strong>3. 合并之后可以运行，加上压缩就不可以。</strong></p>
<p>这个是最严重问题，最严重问题，最严重问题。在文件合并压缩后，使用文件时候，AngularJS运行就不正常了，总是报模块初始化失败，<strong>Failed to instantiate module common due to: Error: [$injector:unpr] Unknown provider: e</strong>，如下图。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEwMTAyNDI0OTAwLnBuZw==.jpg"></p>
<p>很关键的一个点就是，不压缩可以用，一旦压缩了（用了默认的压缩），使用就会报错。所以思考必定某些东西被“压坏”了，网上某些文章都说是需要下面这样写AngularJS cntroller、directive等，使用的服务用字符串定义。</p>
<pre>
commonModule.controller( "broswerCtrl" ,["$scope" ,"$sce" , function ($scope,$sce){
</pre>
<p>可是我的整个应用就是这样定义，并没有给它注入错误的机会。最后在无奈之下，就只能配置mangle: false，不混淆变量名，这样做后，合并压缩的文件就能正确使用了！！！</p>
<p>PS：简单说法就是，合并压缩可以，变量名不能混淆（总觉得怪怪的），感觉问题暂时无解。</p>
<p><strong>4. 第二层的require，做合并的时候，是合并不出来。</strong></p>
<p>例如在mian.js里面这样加载模块，在合并时候会发现第二层的require并没有被合并到。</p>
<pre>
require([ "COMMON"], function(){
  require([ "angular", "LOGIN" ], function(angular){
   //....
  });
});
</pre>
<p>这时需要在build.js加findNestedDependencies: true, 这时才会合并第二层。</p>
<p><strong>合并准备</strong></p>
<p><strong>1、安装nodejs</strong></p>
<p>文件合并压缩基于nodejs，所以先安装nodejs。</p>
<p><strong>2、下载r.js</strong></p>
<p>r.js配合requirejs模块写法对文件进行合并，压缩。</p>
<p><strong>简单配置</strong></p>
<p>配置文件最好写一个build.js，如下：</p>
<pre>
({
  baseUrl:"../",
  paths: {
   //...
  },
  shim: {
   //...
  },
  optimize: "uglify2",
  uglify2: {
  mangle: false //false 不混淆变量名
  },
  findNestedDependencies: true,
  name: "js/main",
  out: "../js/main-built.js"
})</pre>
<p>这里就讲几个关键属性：</p>
<p>baseUrl：所有的模块（般就是js）都相对于这个路径存在。</p>
<p>optimize：优化脚本文件的方式，有下面5种取值方式。</p>
<ul>
<li><strong>uglify：（默认） 用UglifyJS压缩。<br /></strong></li>
<li><strong>uglify2： 用UglifyJS2（ 2.1.2+）压缩。<br /></strong></li>
<li><strong>closure： 使用Google's Closure Compiler 简单优化模式压缩文件, 仅在优化工具使用Java有效。<br /></strong></li>
<li><strong>closure.keepLines：跟closure参数一样, 只不过保留换行符。<br /></strong></li>
<li><strong>none： 不做压缩。</strong></li>
</ul>
<p>findNestedDependencies：寻找require()里面的require或define调用的依赖。</p>
<p>PS：配置属性还有很多，就不一细细说了。当文件配置好后，就执行命令合并压缩</p>
<pre>
node r.js -o build.js</pre>
<p><strong>总结 </strong></p>
<p>RequireJS模块的合并压缩还是比较简单的，但是遇到AngularJS，在压缩方面就有些问题了，目前没找到什么更好办法。</p>
<p>以上就是本文的详细内容，希望对大家的学习有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索angularjs<br />
                    ，                requirejs<br />
                    ，                合并<br />
                                    压缩<br />
                                    angularjs requirejs、requirejs和angularjs、requirejs与angularjs、javascript requirejs、requirejs合并压缩，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:57:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/angularjs/" title="angularjs">angularjs</a>, <a href="https://www.iamivan.net/tag/%e5%8e%8b%e7%bc%a9/" title="压缩">压缩</a>, <a href="https://www.iamivan.net/tag/%e5%90%88%e5%b9%b6/" title="合并">合并</a>, <a href="https://www.iamivan.net/tag/requirejs/" title="requirejs">requirejs</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>小心！AngularJS结合RequireJS做文件合并压缩的那些坑_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0nO77z.html" rel="bookmark">AngularJS结合RequireJS做文件合并压缩的那些坑</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我在项目使用了AngularJS框架,用RequireJS做异步模块加载(AMD),在做文件合并压缩时,遇到了一些坑,有些只是解决了,但不明白原因. 那些坑 1. build.js里面的paths必须跟main.js里面的保持一致. 这个build.js就是r.js使用的配置文件,而main.js就是RequireJS的main文件.在合并压缩时候,build.js文件里面也需要写paths,而且还是跟main.js一样,我很奇怪为什么就不能识别main里面的require.config的pat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0jy1z.html" rel="bookmark">脚本合并提升javascript性能示例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每个&lt;script&gt;标签初始下载时都会阻塞页面渲染,所以减少页面包含的&lt;script&gt;标签数量有助于改善这一情况.这不仅仅针对外链脚本,内嵌脚本的数量同样也要限制.浏览器在解析HTML页面的过程中每遇到一个&lt;script&gt;标签,都会因执行脚本而导致一定的延时,因此最小化延迟时间将会明显改善页面的总体性能. 通常一个大型网站或网络应用需要依赖数个javascript文件.你可以把多个文件合并成一个,这样只需引用一个&lt;script&gt;标签,就可以减少性能消耗.文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDW3VKp.html" rel="bookmark">Javascript中获取出错代码所在文件及行数的代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原先使用的是try-catch的方式,在catch语句中,我们会收到一个Error对象(我们也可以抛出一个自定义异常对象).Firefox中的Error对象拥有如下属性: message -- 错误提示信息 fileName -- 表示出错代码所在文件 lineNumber -- 出错代码所在行数 stack -- 出错堆栈信息 name -- 异常对象名/类型 但是在IE下,Error对象只有如下属性: name -- 异常对象名/类型,和Firefox中显示的名称可能不同 message -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn88dZb.html" rel="bookmark">RequireJS入门一之实现第一个例子&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为什么学习RequireJS? 像我这种菜鸟,会提到海量文章里提到的AMD.JS模块化编程.异步... ... 等等 RequireJS会让你以不同于往常的方式去写JavaScript.你将不再使用script标签在HTML中引入JS文件,以及不用通过script标签顺序去管理依赖关系. RequireJS是一个Javascript 文件和模块框架,它可以帮我们去管理js代码(我的理解). 深入学习,我们便会被迫接受一系列的名词:data-main.require.define.baseUrl.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Bqx6z.html" rel="bookmark">使用不同的方法结合&sol;合并两个JS数组&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一篇简单的文章,关于JavaScript数组使用的一些技巧.我们将使用不同的方法结合/合并两个JS数组,以及讨论每个方法的优点/缺点. 让我们先考虑下面这情况: 复制代码 代码如下: var a = [ 1, 2, 3, 4, 5, 6, 7, 8, 9 ]; var b = [ &quot;foo&quot;, &quot;bar&quot;, &quot;baz&quot;, &quot;bam&quot;, &quot;bun&quot;, &quot;fun&quot; ]; 很显然最简单的结			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7rKdb.html" rel="bookmark">js 获取本地文件及目录的方法&lpar;推荐&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Javascript是网页制作中离不开的脚本语言,依靠它,一个网页的内容才生动活泼.富有朝气.但也许你还没有发现并应用它的一些更高级的功能吧?比如,对文件和文件夹进行读.写和删除,就象在VB.VC等高级语言中经常做的工作一样.怎么样,你是否需要了解这方面的知识?那就请跟我来,本文将详细描述如何使用Javascript语言进行文件操作. 一.功能实现核心:FileSystemObject 对象 其实,要在Javascript中实现文件操作功能,主要就是依靠FileSystemobject对象.在详			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA29KM.html" rel="bookmark">js 实现css风格选择器（压缩后2KB）&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日在做一些OA前端界面,为了更好管理页面代码想写个js选择器,写着写着发现很费力,索性在网上找找看,功夫不负有心人, 找到一个mini css选择器,且性能不凡:以下代码是压缩后的,仅2KB. 复制代码 代码如下: var $=(function(){var b=/(?:[\w\-\\.#]+)+(?:\[\w+?=([\'&quot;])?(?:\\\1|.)+?\1\])?|\*|&gt;/ig,g=/^(?:[\w\-_]+)?\.([\w\-_]+)/,f=/^(?:[\w\-_]+)?#([\			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKmDdz.html" rel="bookmark">JavaScript 在线压缩和格式化收藏&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以前在找到过压缩 Javascript 代码的程序,一直在用,感觉效果不错.http://javascriptcompressor.com/在线压缩 Javascript 源码只是把空格.换行.多余的注释等等清理掉,尤其选中 Shrink variables 时,会把长的变量名缩减成单个字母的变量名,压缩比通常能达到50%甚至更小.现在 AJAX 大行其道,JavaScript 文件越来越大,用此压缩应该能减轻不少流量负担.而且缩减变量名后,程序并没有加密,但会使程序变得很难看懂,一定程度上也能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBYNqJz.html" rel="bookmark">JavaScript中文件上传API详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于Web程序员来说,在网页上处理文件上传,总是一件很麻烦的事情.在过去,我们不能够通过拖拽上传图片,也没有复杂Ajax上传技术,很少处理多文件批量上传.我们也无法获取上传过程中的信息,除非上传完成后从服务器端获得.有时候,等你上传完毕后才发现上传的文件不合适! 如今,HTML5的革命,现代浏览器的诞生,JavaScript的升级,这些给我们提供了使用Javascript和input[type=file]元素获取上传文件过程信息的能力. 下面就来看看这些上传文件API是如何使用的! 访问要上传的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AORWp.html" rel="bookmark" class="title">C语言数据的输入与输出（一）</a>
					<div>
						在程序的运行过程中,往往需要由用户输入一些数据,而程序运算所得到的计算结果等又需要输出给用户,由此实现人与计算机之间的交互,所以在程序设计中,输入输出语句是一类必不可少的重要语句,在C语言中,没有专门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr9P4p.html" rel="bookmark" class="title">Eclipse代码显示不全的原因</a>
					<div>
						在我第一个公司时,第一次使用Eclipse时,遇到过一个问题,很烦人.就是在IDE的Edit区域,类的方法显示不全,只能显示一个方法,类的其他部分都看不到. 后来发现,原来是不小心,勿点了Eclips ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl2QAz.html" rel="bookmark" class="title">Flash制作旋转拖尾文字效果</a>
					<div>
						文字旋转时后面跟着自己的影子,给人超强的速度感.在模拟物体快速运动时常常要用到这种效果,下面就讲一下这种文字的制作方法. 一.新建文档,设置文档大小为500×500.帧频为30/秒. 二.创建一个图形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Xrmp.html" rel="bookmark" class="title">Win7没有找到Comres&period;dll如何解决</a>
					<div>
						  1.打开浏览器,打开百度,输入dll帮,下载Comres.dll文件; 2.下载到本机把Comres.dll直接拷贝该文件到系统目录里: 3.然后打开&quot;开始-运行-输入regsvr32  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL7rnb.html" rel="bookmark" class="title">腾讯路宝怎么用？</a>
					<div>
						  1.哪些手机可以使用腾讯路宝? 腾讯路宝支持市场上主流的Android 2.2以上或iOS 4.3以上操作系统的手机. 2.下载.安装.使用腾讯路宝是否会收费? 本软件的下载.安装和使用完全免费, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaNn5z.html" rel="bookmark" class="title">php函数变量的作用域及函数返回值教程</a>
					<div>
						在php教程中关于在一个函数中定义的变量,包括参数在内都不能访问函数外部变量,并且在默认的情况下,在一个函数外部定义的变量不能访问的函数变量. 下面看实例 &lt;?php $a = 1; $b =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr556M.html" rel="bookmark" class="title">视频转成flv格式</a>
					<div>
						最近完成了这个小Demo,来分享一下! 上面给了我两天时间,来完成这个小功能 于时我花了半天时间从网络上到处鄱资料,又花了半天时间调试代码,成功之后,终于有了以下一点的经验之谈: 这里讲一下重要的:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdElL2z.html" rel="bookmark" class="title">阿里巴巴224亿港币入股高鑫零售，中国最大超市卖场新零售升级</a>
					<div>
						2017年11月20日,阿里巴巴集团.Auchan Retail S.A.(欧尚零售).润泰集团宣布达成新零售战略合作. 根据战略协议,阿里巴巴集团将投入约224亿港币(约28.8亿美元),直接和间接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPoZAp.html" rel="bookmark" class="title">linux c-关于使用 dup2 函数重定向的一些疑问，望高手解惑~~！！</a>
					<div>
						问题描述 关于使用 dup2 函数重定向的一些疑问,望高手解惑~~!! 先上一段正常的代码,如下: #include &lt;unistd.h&gt; #include &lt;stdio.h&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YyV4M.html" rel="bookmark" class="title">硬盘录像机怎样升级？？？？？？</a>
					<div>
						问题描述 硬盘录像机怎样升级?????? 硬盘录像机怎样升级?????????????????????????????? 解决方案 h.264硬盘录像机软件在很多网站上都可以下载,但是如何升级很多消费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBkKqb.html" rel="bookmark" class="title">&amp;amp&semi;lt&semi;秦时明月&amp;amp&semi;gt&semi;---月光</a>
					<div>
						月光色 女子香 泪断剑 情多长 有多痛 无字想 忘了你 孤单魂 随风荡 谁去想 痴情郎 这红尘的战场 千军万马 有谁能称王 过情关 谁敢闯 望明月 心悲凉 千古恨 轮回尝 眼一闭 谁最狂 这世道的无常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL8Omp.html" rel="bookmark" class="title">linux-Linux中，普通用户能够登陆，root却登陆不了。。</a>
					<div>
						问题描述 Linux中,普通用户能够登陆,root却登陆不了.. 我在SecureCRTPortable打了exit退出后,再在VMware Workstation中以root登陆,却登陆不了,而普通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlvLjp.html" rel="bookmark" class="title">代码-怎么实现hadoop的并行化</a>
					<div>
						问题描述 怎么实现hadoop的并行化 现在分布式的hadoop已经搭建完成,在master节点上写并行代码,在master节点上运行,就可以实现代码的并行化吗?用不用在slave节点上写代码.谢谢  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40Qm8z.html" rel="bookmark" class="title">基于JDBC 的数据库连接池</a>
					<div>
						介绍 在使用Java语言进行和数据库有关的的应用开发中,一般都使用JDBC来进行和数据库的交互,其中有一个关键的概念就是Connection(连接),它在Java中是一个类,代表了一个通道.通过它,使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YNjoz.html" rel="bookmark" class="title">编程语言 Seed7 2014-01-05 发布</a>
					<div>
						Seed7 2014-01-05 发布,此版本更新内容如下: The library des.s7i with DES (Data Encryption Standard) cipher suppor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQyLDp.html" rel="bookmark" class="title">使用&period;NET的基本控件和ADO&period;NET技术完成一个图书管理系统的开发</a>
					<div>
						问题描述 题目:紧急求助某学校要求使用.NET的基本控件和ADO.NET技术完成一个图书管理系统的开发,其中保存在SQLServer2005数据库中的用户信息如下:数据库名LibraryDB表名Use ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWv4eM.html" rel="bookmark" class="title">C&sol;C&plus;&plus;学习 ---- void及void指针含义的深刻解析</a>
					<div>
						 原文转载自:http://blog.csdn.net/geekcome/article/details/6249151 1. void的含义 void即&quot;无类型&quot;,void *则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7Xkaz.html" rel="bookmark" class="title">阿里云异构计算平台&mdash;&mdash;加速AI深度学习创新</a>
					<div>
						云栖TechDay第36期,阿里云高级产品专家霁荣带来&quot;阿里云异构计算平台--加速AI深度学习创新&quot;的演讲.本文主要从深度学习催生强大计算力需求开始谈起,包括GPU的适用场景,进而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8mnob.html" rel="bookmark" class="title">使用zend studio for eclipse不能激活代码提示功能的解决办法&lowbar;php技巧</a>
					<div>
						其实这是项目没有经过zend studio for eclipse 编译(应该是建立索引吧)导致的,那么就只要让它重新编译项目代码即可. 操作如下: 随便新建一个项目,比如test.然后找到test项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkLaWp.html" rel="bookmark" class="title">三星GALAXY A5怎么设置翻转静音功能&quest;</a>
					<div>
						1.操作是非常的简单的,在手机中点击GALAXY A5界面[应用程序]打开进入.     2.之后我们再找到[设定]选项打开进入.     3.接着找到界面中的[动作与手势]选项进入打开,细节如下.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba62OnM.html" rel="bookmark" class="title">c&sol;c&plus;&plus;中与字符串处理相关的函数</a>
					<div>
						void *memccpy (void *dest, const void *src, int c, size_t n); 从src所指向的对象复制n个字符到dest所指向的对象中.如果复制过程中遇到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByRJJz.html" rel="bookmark" class="title">&period;net-&period;NET 怎么写一个事物使更新集合数据到SQL数据库时有一个报错所有数据都不更新</a>
					<div>
						问题描述 .NET 怎么写一个事物使更新集合数据到SQL数据库时有一个报错所有数据都不更新 需要.NET 写一个事物在更新集合数据(即多条数据)到SQL数据库时其中有一个报错则所有数据都不更新. 方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgeKkz.html" rel="bookmark" class="title">关于Java之static方法详解</a>
					<div>
						1.关于,main方法是static方法,但是为什么非要是static. 原因就是,如果一个类她定义了main方法的话,那么她的main方法会在这个类的构造函数运行之前被调用. 由于main方法运行的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyGWvM.html" rel="bookmark" class="title">java 传参的时候，有常量引用吗</a>
					<div>
						问题描述 c++里可以成const&amp;st,防止引用参数被修改,在java里应该怎么写? 解决方案 解决方案二:你是指函数参数为常量吗?如果是,用finalpublicvoidtest(fina ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOWqlM.html" rel="bookmark" class="title">军事专家呼吁尽快制定国家网络空间安全战略</a>
					<div>
						日前,军事科学院研究员叶征在接受记者采访时表示,应把&quot;网防&quot;视为国防的一项重要内容,纳入国防建设的范畴,尽快制定国家网络空间安全战略. 叶征表示,网络将地球上相距万里的信息节点铰链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MlW088b.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4V3IwTXVaa21kcUtEejRLTEoyZ0VPdXZzWWQ3UkhRY2ljTXh2TzM3SjcyQ3kxZndubnNlZHBLeXlJU1V5SW9RYWtrd0lWOExuNUVFY1EvMD93eF9mbXQ9cG5n.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MlW088b.html" rel="bookmark" class="title">创业公司失败的20大原因，没市场需求排第一</a>
					<div>
						美国科技市场研究公司CB Insights近期通过分析101科技创业公司的失败案例,总结出了创业公司失败的20大主要原因,包括融资烧完.竞争力不足.产品糟糕和商业模式不佳等. 以下是这20个原因: 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2JA83b.html" rel="bookmark" class="title">《Adobe After Effects CS6完全剖析》&mdash;&mdash;在After Effects中的&OpenCurlyDoubleQuote;特效&rdquo;：插件和动画预设</a>
					<div>
						在After Effects中的&quot;特效&quot;:插件和动画预设 在After Effects中包含有大约200种特效插件,并且第三方厂商还提供了比这多得多的特效插件.根据个人经验,我在大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLN47p.html" rel="bookmark" class="title">美公司提供游戏赌博服务玩家压钱买输赢</a>
					<div>
						Bringit公司网页 美国新公司Bringit作为以电玩对战游戏系统赚钱的网站,从今年8月开始提供电玩对战游戏赌博服务. Bringit的服务很简单.Xbox360, PS3, Wii游戏中选择支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zw5dG5M.html" rel="bookmark" class="title">后IPO时代Pure Storage表现突出 NVMe或成为新型闪存</a>
					<div>
						Pure Storage全闪存阵列继续成长崛起,在2017财年第三季度收入同比增长了50%. Pure Storage的表现超出了华尔街的预期,并称已经实现了近8亿美元的年运营率,它肯定希望目前这个季 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M19gDaM.html" rel="bookmark" class="title">Google Sitelinks出现在第61位</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 做SEO的都知道Google si ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
